diff --git a/lib/app/modules/petugas_desa/views/riwayat_stok_view.dart b/lib/app/modules/petugas_desa/views/riwayat_stok_view.dart
index 6dd26b5..1a524a3 100644
--- a/lib/app/modules/petugas_desa/views/riwayat_stok_view.dart
+++ b/lib/app/modules/petugas_desa/views/riwayat_stok_view.dart
@@ -15,7 +15,9 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
     return Scaffold(
       appBar: AppBar(
         title: const Text('Riwayat Stok Bantuan'),
-        //back button
+        backgroundColor: AppTheme.primaryColor,
+        foregroundColor: Colors.white,
+        elevation: 2,
         leading: IconButton(
           onPressed: () => Navigator.of(context).pop(),
           icon: const Icon(Icons.arrow_back),
@@ -23,6 +25,7 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
       ),
       body: RefreshIndicator(
         onRefresh: controller.refreshData,
+        color: AppTheme.primaryColor,
         child: Obx(() => controller.isLoading.value
             ? const Center(child: CircularProgressIndicator())
             : _buildContent(context)),
@@ -43,6 +46,7 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
             onPressed: () => _showStokManualDialog(context, isAddition: true),
             backgroundColor: AppTheme.primaryColor,
             heroTag: 'tambahStok',
+            elevation: 4,
             child: const Icon(Icons.add, color: Colors.white),
           ),
         ],
@@ -53,45 +57,91 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
   Widget _buildContent(BuildContext context) {
     return SingleChildScrollView(
       physics: const AlwaysScrollableScrollPhysics(),
-      child: Padding(
-        padding: const EdgeInsets.all(16.0),
-        child: Column(
-          crossAxisAlignment: CrossAxisAlignment.start,
-          children: [
-            // Heading
-            Text(
-              'Riwayat Stok Bantuan',
-              style: Theme.of(context).textTheme.headlineSmall?.copyWith(
-                    fontWeight: FontWeight.bold,
-                    color: AppTheme.primaryColor,
-                  ),
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
+        children: [
+          // Header dengan latar belakang gradient
+          Container(
+            padding: const EdgeInsets.all(20.0),
+            decoration: BoxDecoration(
+              gradient: AppTheme.primaryGradient,
+              borderRadius: const BorderRadius.only(
+                bottomLeft: Radius.circular(20),
+                bottomRight: Radius.circular(20),
+              ),
+              boxShadow: [
+                BoxShadow(
+                  color: Colors.black.withOpacity(0.1),
+                  blurRadius: 10,
+                  spreadRadius: 1,
+                  offset: const Offset(0, 3),
+                ),
+              ],
             ),
-            const SizedBox(height: 4),
-            Text(
-              'Catatan riwayat perubahan stok bantuan',
-              style: Theme.of(context).textTheme.bodyMedium?.copyWith(
-                    color: Colors.grey[600],
+            child: Column(
+              crossAxisAlignment: CrossAxisAlignment.start,
+              children: [
+                // Heading
+                Row(
+                  children: [
+                    const Icon(
+                      Icons.inventory_2_outlined,
+                      color: Colors.white,
+                      size: 30,
+                    ),
+                    const SizedBox(width: 10),
+                    Text(
+                      'Riwayat Stok Bantuan',
+                      style:
+                          Theme.of(context).textTheme.headlineSmall?.copyWith(
+                                fontWeight: FontWeight.bold,
+                                color: Colors.white,
+                              ),
+                    ),
+                  ],
+                ),
+                const SizedBox(height: 8),
+                Padding(
+                  padding: const EdgeInsets.only(left: 40),
+                  child: Text(
+                    'Catatan perubahan stok bantuan di desa Anda',
+                    style: Theme.of(context).textTheme.bodyMedium?.copyWith(
+                          color: Colors.white.withOpacity(0.9),
+                        ),
                   ),
+                ),
+              ],
             ),
-            const SizedBox(height: 16),
+          ),
 
-            // Filter dan pencarian
-            _buildFilters(context),
-            const SizedBox(height: 16),
+          // Filter dan pencarian
+          Padding(
+            padding: const EdgeInsets.all(16.0),
+            child: _buildFilters(context),
+          ),
 
-            // Daftar riwayat stok
-            Obx(() {
+          // Daftar riwayat stok
+          Padding(
+            padding: const EdgeInsets.symmetric(horizontal: 16.0),
+            child: Obx(() {
               final filteredRiwayat = controller.getFilteredRiwayatStok();
               if (filteredRiwayat.isEmpty) {
                 return Center(
                   child: Padding(
-                    padding: const EdgeInsets.all(32.0),
+                    padding: const EdgeInsets.symmetric(vertical: 50.0),
                     child: Column(
                       children: [
-                        const Icon(
-                          Icons.history,
-                          size: 64,
-                          color: Colors.grey,
+                        Container(
+                          padding: const EdgeInsets.all(20),
+                          decoration: BoxDecoration(
+                            color: Colors.grey.withOpacity(0.1),
+                            shape: BoxShape.circle,
+                          ),
+                          child: const Icon(
+                            Icons.history,
+                            size: 64,
+                            color: Colors.grey,
+                          ),
                         ),
                         const SizedBox(height: 16),
                         Text(
@@ -99,6 +149,16 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
                           style:
                               Theme.of(context).textTheme.titleMedium?.copyWith(
                                     color: Colors.grey[600],
+                                    fontWeight: FontWeight.bold,
+                                  ),
+                          textAlign: TextAlign.center,
+                        ),
+                        const SizedBox(height: 8),
+                        Text(
+                          'Gunakan tombol + untuk menambah stok bantuan',
+                          style:
+                              Theme.of(context).textTheme.bodyMedium?.copyWith(
+                                    color: Colors.grey[500],
                                   ),
                           textAlign: TextAlign.center,
                         ),
@@ -107,134 +167,262 @@ class RiwayatStokView extends GetView<RiwayatStokController> {
                   ),
                 );
               }
-              return ListView.builder(
-                shrinkWrap: true,
-                physics: const NeverScrollableScrollPhysics(),
-                itemCount: filteredRiwayat.length,
-                itemBuilder: (context, index) {
-                  final riwayat = filteredRiwayat[index];
-                  return _buildRiwayatItem(context, riwayat);
-                },
+              return Column(
+                crossAxisAlignment: CrossAxisAlignment.start,
+                children: [
+                  Row(
+                    children: [
+                      const Icon(
+                        Icons.history,
+                        color: AppTheme.primaryColor,
+                        size: 20,
+                      ),
+                      const SizedBox(width: 8),
+                      Text(
+                        'Daftar Riwayat',
+                        style: TextStyle(
+                          fontSize: 18,
+                          fontWeight: FontWeight.bold,
+                          color: AppTheme.primaryColor,
+                        ),
+                      ),
+                      const SizedBox(width: 8),
+                      Container(
+                        padding: const EdgeInsets.symmetric(
+                            horizontal: 8, vertical: 2),
+                        decoration: BoxDecoration(
+                          color: AppTheme.primaryColor.withOpacity(0.1),
+                          borderRadius: BorderRadius.circular(12),
+                        ),
+                        child: Text(
+                          filteredRiwayat.length.toString(),
+                          style: TextStyle(
+                            color: AppTheme.primaryColor,
+                            fontWeight: FontWeight.bold,
+                          ),
+                        ),
+                      ),
+                    ],
+                  ),
+                  const SizedBox(height: 12),
+                  ListView.builder(
+                    shrinkWrap: true,
+                    physics: const NeverScrollableScrollPhysics(),
+                    itemCount: filteredRiwayat.length,
+                    itemBuilder: (context, index) {
+                      final riwayat = filteredRiwayat[index];
+                      return _buildRiwayatItem(context, riwayat);
+                    },
+                  ),
+                ],
               );
             }),
-          ],
-        ),
+          ),
+          const SizedBox(height: 80), // Ruang untuk floating action button
+        ],
       ),
     );
   }
 
   Widget _buildFilters(BuildContext context) {
-    return Column(
-      children: [
-        // Pencarian
-        Container(
-          decoration: BoxDecoration(
-            color: Colors.grey[100],
-            borderRadius: BorderRadius.circular(8),
+    return Container(
+      padding: const EdgeInsets.all(16),
+      decoration: BoxDecoration(
+        color: Colors.white,
+        borderRadius: BorderRadius.circular(12),
+        boxShadow: [
+          BoxShadow(
+            color: Colors.black.withOpacity(0.05),
+            blurRadius: 10,
+            spreadRadius: 0,
+            offset: const Offset(0, 2),
           ),
-          child: TextField(
-            controller: controller.searchController,
-            decoration: const InputDecoration(
-              hintText: 'Cari riwayat stok...',
-              prefixIcon: Icon(Icons.search),
-              border: InputBorder.none,
-              contentPadding: EdgeInsets.symmetric(vertical: 12),
-            ),
+        ],
+      ),
+      child: Column(
+        crossAxisAlignment: CrossAxisAlignment.start,
+        children: [
+          // Judul Filter
+          Row(
+            children: [
+              const Icon(
+                Icons.filter_list,
+                color: AppTheme.primaryColor,
+              ),
+              const SizedBox(width: 8),
+              Text(
+                'Filter Riwayat',
+                style: TextStyle(
+                  fontSize: 16,
+                  fontWeight: FontWeight.bold,
+                  color: AppTheme.primaryColor,
+                ),
+              ),
+            ],
           ),
-        ),
-        const SizedBox(height: 16),
+          const SizedBox(height: 16),
 
-        // Filter jenis perubahan
-        Row(
-          children: [
-            Expanded(
-              child: Column(
-                crossAxisAlignment: CrossAxisAlignment.start,
-                children: [
-                  const Text('Jenis Perubahan'),
-                  const SizedBox(height: 4),
-                  Container(
-                    decoration: BoxDecoration(
-                      color: Colors.grey[100],
-                      borderRadius: BorderRadius.circular(8),
-                    ),
-                    child: Obx(() => DropdownButtonFormField<String>(
-                          decoration: const InputDecoration(
-                            border: InputBorder.none,
-                            contentPadding:
-                                EdgeInsets.symmetric(horizontal: 12),
-                          ),
-                          isExpanded: true,
-                          value: controller.filterJenisPerubahan.value,
-                          items: [
-                            const DropdownMenuItem(
-                              value: 'semua',
-                              child: Text('Semua'),
-                            ),
-                            const DropdownMenuItem(
-                              value: 'penambahan',
-                              child: Text('Penambahan'),
-                            ),
-                            const DropdownMenuItem(
-                              value: 'pengurangan',
-                              child: Text('Pengurangan'),
-                            ),
-                          ],
-                          onChanged: (value) {
-                            if (value != null) {
-                              controller.filterByJenisPerubahan(value);
-                            }
-                          },
-                        )),
-                  ),
-                ],
+          // Pencarian
+          Container(
+            decoration: BoxDecoration(
+              color: Colors.grey[100],
+              borderRadius: BorderRadius.circular(12),
+              border: Border.all(color: Colors.grey.shade300),
+            ),
+            child: TextField(
+              controller: controller.searchController,
+              decoration: InputDecoration(
+                hintText: 'Cari riwayat stok...',
+                prefixIcon: Icon(Icons.search,
+                    color: AppTheme.primaryColor.withOpacity(0.7)),
+                border: InputBorder.none,
+                contentPadding: const EdgeInsets.symmetric(vertical: 12),
               ),
             ),
-            const SizedBox(width: 16),
-            Expanded(
-              child: Column(
-                crossAxisAlignment: CrossAxisAlignment.start,
-                children: [
-                  const Text('Jenis Bantuan'),
-                  const SizedBox(height: 4),
-                  Container(
-                    decoration: BoxDecoration(
-                      color: Colors.grey[100],
-                      borderRadius: BorderRadius.circular(8),
+          ),
+          const SizedBox(height: 16),
+
+          // Filter jenis perubahan dan jenis bantuan
+          Row(
+            children: [
+              Expanded(
+                child: Column(
+                  crossAxisAlignment: CrossAxisAlignment.start,
+                  children: [
+                    Text(
+                      'Jenis Perubahan',
+                      style: TextStyle(
+                        fontWeight: FontWeight.w600,
+                        color: Colors.grey[800],
+                      ),
                     ),
-                    child: Obx(() => DropdownButtonFormField<String>(
-                          decoration: const InputDecoration(
-                            border: InputBorder.none,
-                            contentPadding:
-                                EdgeInsets.symmetric(horizontal: 12),
-                          ),
-                          isExpanded: true,
-                          value: controller.filterStokBantuanId.value,
-                          items: [
-                            const DropdownMenuItem(
-                              value: 'semua',
-                              child: Text('Semua'),
+                    const SizedBox(height: 8),
+                    Container(
+                      decoration: BoxDecoration(
+                        color: Colors.grey[100],
+                        borderRadius: BorderRadius.circular(12),
+                        border: Border.all(color: Colors.grey.shade300),
+                      ),
+                      child: Obx(() => DropdownButtonFormField<String>(
+                            decoration: const InputDecoration(
+                              border: InputBorder.none,
+                              contentPadding:
+                                  EdgeInsets.symmetric(horizontal: 12),
                             ),
-                            ...controller.daftarStokBantuan.map((stok) {
-                              return DropdownMenuItem(
-                                value: stok.id,
-                                child: Text(stok.nama ?? '-'),
-                              );
-                            }).toList(),
-                          ],
-                          onChanged: (value) {
-                            if (value != null) {
-                              controller.filterByStokBantuan(value);
-                            }
-                          },
-                        )),
-                  ),
-                ],
+                            isExpanded: true,
+                            icon: Icon(Icons.arrow_drop_down,
+                                color: AppTheme.primaryColor),
+                            value: controller.filterJenisPerubahan.value,
+                            items: [
+                              DropdownMenuItem(
+                                value: 'semua',
+                                child: Row(
+                                  children: [
+                                    Icon(Icons.all_inclusive,
+                                        size: 18, color: Colors.grey[600]),
+                                    const SizedBox(width: 8),
+                                    const Text('Semua'),
+                                  ],
+                                ),
+                              ),
+                              DropdownMenuItem(
+                                value: 'penambahan',
+                                child: Row(
+                                  children: [
+                                    const Icon(Icons.add_circle_outline,
+                                        size: 18, color: Colors.green),
+                                    const SizedBox(width: 8),
+                                    const Text('Penambahan'),
+                                  ],
+                                ),
+                              ),
+                              DropdownMenuItem(
+                                value: 'pengurangan',
+                                child: Row(
+                                  children: [
+                                    const Icon(Icons.remove_circle_outline,
+                                        size: 18, color: Colors.red),
+                                    const SizedBox(width: 8),
+                                    const Text('Pengurangan'),
+                                  ],
+                                ),
+                              ),
+                            ],
+                            onChanged: (value) {
+                              if (value != null) {
+                                controller.filterByJenisPerubahan(value);
+                              }
+                            },
+                          )),
+                    ),
+                  ],
+                ),
               ),
-            ),
-          ],
-        ),
-      ],
+              const SizedBox(width: 16),
+              Expanded(
+                child: Column(
+                  crossAxisAlignment: CrossAxisAlignment.start,
+                  children: [
+                    Text(
+                      'Jenis Bantuan',
+                      style: TextStyle(
+                        fontWeight: FontWeight.w600,
+                        color: Colors.grey[800],
+                      ),
+                    ),
+                    const SizedBox(height: 8),
+                    Container(
+                      decoration: BoxDecoration(
+                        color: Colors.grey[100],
+                        borderRadius: BorderRadius.circular(12),
+                        border: Border.all(color: Colors.grey.shade300),
+                      ),
+                      child: Obx(() => DropdownButtonFormField<String>(
+                            decoration: const InputDecoration(
+                              border: InputBorder.none,
+                              contentPadding:
+                                  EdgeInsets.symmetric(horizontal: 12),
+                            ),
+                            isExpanded: true,
+                            icon: Icon(Icons.arrow_drop_down,
+                                color: AppTheme.primaryColor),
+                            value: controller.filterStokBantuanId.value,
+                            items: [
+                              DropdownMenuItem(
+                                value: 'semua',
+                                child: Row(
+                                  children: [
+                                    Icon(Icons.category_outlined,
+                                        size: 18, color: Colors.grey[600]),
+                                    const SizedBox(width: 8),
+                                    const Text('Semua'),
+                                  ],
+                                ),
+                              ),
+                              ...controller.daftarStokBantuan.map((stok) {
+                                return DropdownMenuItem(
+                                  value: stok.id,
+                                  child: Text(
+                                    stok.nama ?? '-',
+                                    overflow: TextOverflow.ellipsis,
+                                  ),
+                                );
+                              }).toList(),
+                            ],
+                            onChanged: (value) {
+                              if (value != null) {
+                                controller.filterByStokBantuan(value);
+                              }
+                            },
+                          )),
+                    ),
+                  ],
+                ),
+              ),
+            ],
+          ),
+        ],
+      ),
     );
   }
 
